package org.pavlik.bot;

import org.example.App;
import org.apache.commons.lang3.math.NumberUtils;

public class BotCommands {



    public String runCmd(BotDialog dialog, MessageObj r) {

        String cmd1 = r.text.replaceAll("^/","");
        String cmd0 = dialog.lastCmd;

        String cmd = (cmd0 !=null && !cmd0.isEmpty()) ? cmd0 : cmd1;





        switch (cmd) {
            case ("stop"):
                return this.cmdStop(dialog, cmd1);

            case ("start"):
                return "start";

            case ("summ"):
                return this.cmdSumm(dialog,cmd1);

            case("no"):
                return "выражайся четче, я твои команды не пойму!";
        }

        return "Неизвестная команда: "+cmd+" для справки введите /help";

    }

    protected String cmdStop(BotDialog dialog, String cmd) {

        if (!dialog.is_admin) return "В доступе отказано";

        if (cmd.equals("stop") && dialog.lastCmd==null) {

            dialog.lastCmd=cmd;
            return "Ты хочешь остановить бота, он умрет, если ты уверен, то ответь /yes или /no для отмены";
        }

        if (cmd.equals("yes")) {
            App.stop_signal=true;
            return "Аааааа, я подыхаю, всё, ты меня убил....\n Программа завершила свою работу.";
        }
        if (cmd.equals("no")) {
            App.stop_signal=true;
            dialog.lastCmd=null;
            return "Ура, я жив, процесс убийства бота отменен.";
        }

        return "Вводи или /yes или /no других путей нет!!!";

    }



    protected String cmdSumm(BotDialog dialog, String cmd) {
        if (dialog.lastCmd==null) {

            dialog.lastCmd=cmd;
            return "Запущен навык сумма, вводите числа и в конце напишите /res";
        }


        if (cmd.equals("res")) {
            //return "Да я хз, что я Архимед????";
            dialog.lastCmd=null;
            return "Общая сумма:"+dialog.summ;
        }

        cmd = cmd.replace(",",".").trim();
        if (NumberUtils.isParsable(cmd)) {
            double ent = Double.parseDouble(cmd);
            dialog.summ+=ent;
            return "Число "+ent+" добавлено\nтекущая сумма:"+dialog.summ+"\nдля завершения рассчетов введи /res";
        }

        return "Я таких чисел понять не могу, можешь нормально ввести???";
    }
}
