package org.pavlik.helpers;
import com.github.demidko.aot.WordformMeaning;

import java.util.List;

import static com.github.demidko.aot.WordformMeaning.lookupForMeanings;
//import java.util.ArrayList;
//import java.util.List;

public class Morph {
    public String[] message2words (String message) {
        message = message.replaceAll("[^a-zA-Zа-яА-ЯёЁ]"," ");
        message = message.replaceAll("\\s{2,}"," ");

        return  message.split(" ");
    }

    public String morphAnalyze1(String message) {
        String[] wordArr = message2words(message);
        String out="";

        for (int i=0;i<wordArr.length;i++) {
            out+=morph1(wordArr[i])+"\n";
        }

        return out;

    }

    public String morph1(String word) {
        List<WordformMeaning> meanings = lookupForMeanings(word);
        String out = "";
        if (meanings.isEmpty()) {
            out = "слова <"+word+"> не слыхал";
        }
        else {
            out = word+": "+meanings.get(0).getMorphology().toString();
        }

        return out;

    }


    public void Morph(String word) {
        List<WordformMeaning> meanings = lookupForMeanings(word);


        System.out.println(meanings.size());
        //out.println(meanings.size());
        /* 1 */



        System.out.println(meanings.get(0).getMorphology());

        //meanings.get(0).getMorphology().

        //meanings.
        /* [С, мр, им, мн] */

        System.out.println(meanings.get(0).getLemma());
        /* человек */


        for (WordformMeaning t : meanings.get(0).getTransformations()) {
            System.out.println(t.toString() + " " + t.getMorphology());

        }
    }

}
